Rotate and move to a point , block instance RhinoCommon

I need to move a block instance first and then rotate it on a given point.
It only move from one point to other as below. But when I am adding rotation with the transform is not working.

Rhino.DocObjects.InstanceDefinition idef_up = null;
            idef_up = doc.InstanceDefinitions.Find("SECTION_DETAIL_up", true);
            if (null != idef_up)
            {
               
                Rhino.Geometry.Transform xform = new Rhino.Geometry.Transform(1.0);
                var ptj = new Point3d(p_lower_bbox11);//68.7228, 378.511, 0);
                var dir = ptj - Point3d.Origin;
                xform = Transform.Translation(dir);

               
            //xform = Transform.Rotation(Math.PI / 2, pt);
            //doc.Objects.AddInstanceObject(idef11.Index, xform);

doc.Objects.AddInstanceObject(idef_up.Index, xform);

}

I want to move and rotate simultaneously.
Please help me with this code above

See 2 transforms after eachother
To see how to perform multiple transforms.

Many Thanks ! :smile: